import java.awt.*;

/**
 * Klassa MyColors.
 * Verwaltet meine Farbpalette, die fr die Balken-/Kreisdiagramme notwendig ist.
 * Wenn man einmal eine Instanz erzeugt hat, erhlt man mit der Methode getNext() die nchste Farbe.
 * Wenn alle Farbe verwendet wurden, wird von Neuem begonnen.
 */
class MyColors {
    private final static Color C[] = {Color.blue, Color.cyan, Color.darkGray, Color.green, Color.magenta, Color.lightGray, 
				      Color.orange, Color.pink, Color.gray, Color.red, Color.yellow};
    private int aktualColor = 0;
			
    /**
     * Konstruktor.
     * ohne Anweisung.
     */
    MyColors () {}
    
    
    /**
     * Methode: reset ().
     * Setzt die aktuelle Farbe auf die Erste zurck.
     */
    public void reset () {
	aktualColor = 0;
	}
	
    
    /**
     * Methode: getNext ().
     * Liefert die aktuelle Farbe und geht zur nchsten.
     * @return die aktuelle Farbe.
     */
    public Color getNext () {
	if (aktualColor >= C.length)
	    reset ();
	return C [aktualColor++];
	}    
    }