import java.awt.*;
import java.awt.event.*;

/**
 * class Rechnungsbearbeitung.
 * Hier werden die Daten initialisiert und die graphische Ausgabe gestartet.
 * @author Sascha Nemecek/9825915.
 * @version 2.0 15.01.1999.
 */
public class Rechnungsbearbeitung {
    /**
     * Datenobjekt. Beinhaltet alle Daten.
     */    
    private Daten daten;

    /**
     * Gibt den Pfad an, in dem die Datenfiles abgelegt sind.
     */    
    final static String DATENPFAD = "f:\\daten\\uni\\1.semester\\eprog\\abgabe4\\Files\\";
    
    /**
     * Gibt den Names des Files mit den Artikeldaten an.
     * Dieses muss im DATENPFAD abgelegt sein.
     */    
    final static String ARTIKELFILE = "artikel.txt";
    
    /**
     * Gibt den Names des Files mit den Gruppendefinitionen an.
     * Dieses muss im DATENPFAD abgelegt sein.
     */    
    final static String GRUPPENFILE = "gruppen.txt";
    
    /**
     * Versucht die Daten einzulesen. Falls dies nicht mgliche ist, wird das Programm mit
     * einer Fehlermeldung abgebrochen.
     * Falls die Daten erfolgreich eingelesen wurden, wird die graphische Ausgabe gestartet.
     */
    Rechnungsbearbeitung () {
	try {
	    // Einlesen der Daten
	    daten = new Daten (DATENPFAD, ARTIKELFILE, GRUPPENFILE);
	    }
	catch (MyException e) {
	    // Ausgabe der Fehlermeldung und Programmende
	    System.out.println (e.getMessage());
	    System.exit (0);
	    }

	// Startet graphische Ausgabe
	MyGUI m = new MyGUI (daten);
	
	// Initialisiert Observer
	daten.addObserver (m);
	}
    
    /**
     * Initialisiert Rechnungsdaten, Artikeldaten und Frame.
     */
    public static void main (String argv[]) {
	Rechnungsbearbeitung r = new Rechnungsbearbeitung ();
	}
    }

